Subject: bug#55277: 29.0.50; Commit 8fce81897d no longer generates eln files

From: Kun Liu <[email-masked]>
Date: Thu, 5 May 2022 13:32:48 -0700

On Thu, May 5, 2022 at 12:26 PM Eli Zaretskii <[email-masked]> wrote:

> > From: Kun Liu <[email-masked]>
> > Date: Thu, 5 May 2022 12:06:44 -0700
> > Cc: [email-masked]
> >
> >  > I did a completely fresh install.
> >
> >  What do you mean by that?  Do you mean that you have built Emacs anew
> >  after updating from the upstream Git repository, and then installed
> >  the new Emacs you've built?
> >
> > Yes I pulled from the master and did a new build and install.
>
> Then I see no problem in the behavior you describe.  It's what is
> expected.
>
> >  > I noticed under
> >  > ~/.emacs.d/eln-cache/29.0.50-a2ce0d0a there are only two files
> >  >
> >  >
> subr--trampoline-61626f72742d7265637572736976652d65646974_abort_recursive_edit_0.eln
> >  > subr--trampoline-746f702d6c6576656c_top_level_0.eln
> >
> >  This is expected, I think.  Assuming you indeed built a new version of
> >  Emacs, the *.eln files produced during the build are not installed
> >  under ~/.emacs.d/eln-cache/.
> >
> > Is this a new behavior?
>
> No, Emacs with native-compilation always behaved like that.
>
> > Could you please tell me where *.eln files are at now?
>
> The *.eln files produced as part of the build should under
> native-lisp/ in the build tree.  The *.eln files under your
> ~/.emacs.d/eln-cache/ directory will be produced dynamically, when you
> for the first time load the corresponding .elc file for which there's
> no .eln.
>

Thanks. That actually is the problem I was trying to report. After using
for a few hours, I still have just these two .elns under my
~/.emacs.d/eln-cache/29.0.50-a2ce0d0a  directory. In previous builds, I see
roungly 450-500 eln files there. It almost seems like the .elns are not
being built in this commit.